BHP150 | AZD 1222 - Bug #6190
Correction on EDC
06/07/2022 14:59 - Agripa Kaunda

Status: Closed
Priority: Urgent
Assignee: Samuel Kabelo
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:
Spent time:

06/07/2022
12/07/2022
0%

0.00 hour
0.00 hour

Description

Kindly note that the requisition CRFs at visit 1028 were done at visit 1042(that is when participant was symptomatic and tested)

History

#1 - 12/07/2022 09:38 - Samuel Kabelo
- Due date set to 12/07/2022

- Status changed from New to In Progress

#2 - 12/07/2022 11:03 - Samuel Kabelo
- Status changed from In Progress to Resolved

#3 - 14/07/2022 07:34 - Tshepo Pebe
- Status changed from Resolved to Closed
